Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.constructionheuristic.greedyFit.decider.forager
Class GreedyForager

    java.lang.Object
      org.drools.planner.core.constructionheuristic.greedyFit.event.GreedySolverPhaseLifecycleListenerAdapter
          org.drools.planner.core.constructionheuristic.greedyFit.decider.forager.GreedyForager

All Implemented Interfaces:
  EventListener, GreedySolverPhaseLifecycleListener

    public class GreedyForager

extends GreedySolverPhaseLifecycleListenerAdapter

Field Summary
`protected GreedyMoveScope` | `earlyPickedMoveScope`
`protected org.slf4j.Logger` | `logger`
`protected Score` | `maxScore`
`protected List<GreedyMoveScope>` | `maxScoreAcceptedList`
`protected int` | `minimalAcceptedSelection`
`protected ConstructionHeuristicPickEarlyType` | `pickEarlyType`
`protected Comparator<Score>` | `scoreComparator`
`protected int` | `selectedCount`

Constructor Summary
`GreedyForager()`

Method Summary
`void` | `addMove(GreedyMoveScope moveScope)`
`protected void` | `addMoveScopeToAcceptedList(GreedyMoveScope moveScope)`
`protected void` | `checkPickEarly(GreedyMoveScope moveScope)`
`int` | `getSelectedCount()`
`boolean` | `isQuitEarly()`
`protected GreedyMoveScope` | `pickMaxScoreMoveScopeFromAcceptedList(GreedyFitStepScope greedyStepScope)`
`GreedyMoveScope` | `pickMove(GreedyFitStepScope greedyStepScope)`
`void` | `setMinimalAcceptedSelection(int minimalAcceptedSelection)`
`void` | `setPickEarlyType(ConstructionHeuristicPickEarlyType pickEarlyType)`
`void` | `stepStarted(GreedyFitStepScope greedyStepScope)`

Methods inherited from class org.drools.planner.core.constructionheuristic.greedyFit.event.GreedySolverPhaseLifecycleListenerAdapter
`phaseEnded, phaseStarted, stepEnded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### scoreComparator

    protected Comparator<Score> scoreComparator

### pickEarlyType

    protected ConstructionHeuristicPickEarlyType pickEarlyType

### minimalAcceptedSelection

    protected int minimalAcceptedSelection

### selectedCount

    protected int selectedCount

### maxScoreAcceptedList

    protected List<GreedyMoveScope> maxScoreAcceptedList

### maxScore

    protected Score maxScore

### earlyPickedMoveScope

    protected GreedyMoveScope earlyPickedMoveScope

Constructor Detail

### GreedyForager

    public GreedyForager()

Method Detail

### setPickEarlyType

    public void setPickEarlyType(ConstructionHeuristicPickEarlyType pickEarlyType)

### setMinimalAcceptedSelection

    public void setMinimalAcceptedSelection(int minimalAcceptedSelection)

### stepStarted

    public void stepStarted(GreedyFitStepScope greedyStepScope)

  Specified by:
    `stepStarted` in interface `GreedySolverPhaseLifecycleListener`
  Overrides:
    `stepStarted` in class `GreedySolverPhaseLifecycleListenerAdapter`

### addMove

    public void addMove(GreedyMoveScope moveScope)

### checkPickEarly

    protected void checkPickEarly(GreedyMoveScope moveScope)

### addMoveScopeToAcceptedList

    protected void addMoveScopeToAcceptedList(GreedyMoveScope moveScope)

### isQuitEarly

    public boolean isQuitEarly()

### pickMove

    public GreedyMoveScope pickMove(GreedyFitStepScope greedyStepScope)

### pickMaxScoreMoveScopeFromAcceptedList

    protected GreedyMoveScope pickMaxScoreMoveScopeFromAcceptedList(GreedyFitStepScope greedyStepScope)

### getSelectedCount

    public int getSelectedCount()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Drools Planner distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.